const styles=new CSSStyleSheet;styles.replaceSync('/*\n * Copyright (C) 2013 Google Inc. All rights reserved.\n *\n * Redistribution and use in source and binary forms, with or without\n * modification, are permitted provided that the following conditions are\n * met:\n *\n *     * Redistributions of source code must retain the above copyright\n * notice, this list of conditions and the following disclaimer.\n *     * Redistributions in binary form must reproduce the above\n * copyright notice, this list of conditions and the following disclaimer\n * in the documentation and/or other materials provided with the\n * distribution.\n *     * Neither the name of Google Inc. nor the names of its\n * contributors may be used to endorse or promote products derived from\n * this software without specific prior written permission.\n *\n * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n */\n\n.network-log-grid.data-grid {\n  border: none !important; /* stylelint-disable-line declaration-no-important */\n  flex: auto;\n}\n\n.network-log-grid.data-grid.no-selection:focus-visible {\n  border: none !important; /* stylelint-disable-line declaration-no-important */\n}\n\n#network-container {\n  overflow: hidden;\n}\n\n#network-container.grid-focused.no-node-selected:focus-within {\n  border: 1px solid var(--legacy-accent-color);\n}\n\n.network-summary-bar {\n  flex: 0 0 27px;\n  line-height: 27px;\n  padding-left: 5px;\n  background-color: var(--sys-color-cdt-base-container);\n  border-top: 1px solid var(--sys-color-divider);\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  overflow: hidden;\n  user-select: text;\n}\n\n.panel.network .toolbar.network-summary-bar {\n  border-bottom: 0;\n}\n\n.network-summary-bar span[is="dt-icon-label"] {\n  margin-right: 6px;\n}\n\n.network-summary-bar > * {\n  flex: none;\n}\n\n.network-log-grid.data-grid tbody {\n  background: transparent;\n}\n\n.network-log-grid.data-grid td {\n  height: 41px;\n  border-left: 1px solid var(--sys-color-divider);\n  vertical-align: middle;\n}\n\n.network-log-grid.data-grid .corner {\n  display: none;\n}\n\n.network-log-grid.data-grid.small td {\n  height: 21px;\n}\n\n.network-log-grid.data-grid th {\n  border-bottom: none;\n}\n\n.network-waterfall-header,\n.network-log-grid.data-grid thead th {\n  border-bottom: 1px solid var(--sys-color-divider);\n  border-left: 1px solid var(--sys-color-divider);\n}\n\n.network-waterfall-header,\n.network-log-grid.data-grid thead {\n  height: 31px;\n  background-color: var(--sys-color-surface1);\n}\n\n.network-waterfall-header.small,\n.network-log-grid.data-grid.small thead {\n  height: 27px;\n}\n\n.network-log-grid.data-grid select {\n  appearance: none;\n  border: none;\n  width: 100%;\n  color: inherit;\n}\n\n.network-log-grid.data-grid .waterfall-column {\n  padding: 1px 0;\n}\n\n.network-log-grid.data-grid .waterfall-column .sort-order-icon-container {\n  right: 15px;\n  pointer-events: none;\n}\n\n.network-log-grid.data-grid th.sortable:active {\n  background-image: none !important; /* stylelint-disable-line declaration-no-important */\n}\n\n.network-cell-subtitle {\n  font-weight: normal;\n  color: var(--color-text-secondary);\n}\n\n.network-badge {\n  margin-right: 4px;\n}\n\n.status-column .devtools-link {\n  color: inherit;\n}\n\n.initiator-column .devtools-link {\n  color: inherit;\n}\n\n.network-error-row,\n.network-error-row .network-cell-subtitle {\n  /* stylelint-disable-next-line declaration-no-important */\n  color: var(--color-red) !important;\n}\n\n.network-log-grid.data-grid tr.selected.network-error-row,\n.network-log-grid.data-grid tr.selected.network-error-row .network-cell-subtitle,\n.network-log-grid.data-grid tr.selected.network-error-row .network-dim-cell,\n.network-log-grid.data-grid:focus-within tr.selected.network-error-row .devtools-link,\n.network-log-grid.data-grid:focus-within tr.selected.network-error-row,\n.network-log-grid.data-grid:focus-within tr.selected.network-error-row .network-cell-subtitle,\n.network-log-grid.data-grid:focus-within tr.selected.network-error-row .network-dim-cell {\n  color: var(--color-accent-red);\n}\n\n/* We are using a multitude of different selector specificity rules here, which\n   is incompatible with what stylelint requires as ordering of the rules. */\n/* stylelint-disable no-descending-specificity */\n\n.network-log-grid.data-grid tr.selected,\n.network-log-grid.data-grid tr.selected .network-cell-subtitle,\n.network-log-grid.data-grid tr.selected .network-dim-cell {\n  color: inherit;\n}\n\n.network-log-grid.data-grid:focus tr.selected,\n.network-log-grid.data-grid:focus tr.selected .network-cell-subtitle,\n.network-log-grid.data-grid:focus tr.selected .network-dim-cell {\n  color: var(--sys-color-on-tonal-container);\n}\n\n.network-header-subtitle {\n  color: var(--color-text-secondary);\n}\n\n.network-log-grid.data-grid.small .network-cell-subtitle,\n.network-log-grid.data-grid.small .network-header-subtitle {\n  display: none;\n}\n\n.network-log-grid.data-grid.small tr.selected .network-cell-subtitle-show-inline-when-selected {\n  display: inline;\n  margin-left: 4px;\n}\n\n.network-log-grid tr.highlighted-row {\n  --override-highlight-fade-from: rgb(255 255 120 / 100%);\n  --override-highlight-fade-to: rgb(255 255 120 / 0%);\n\n  animation: network-row-highlight-fadeout 2s 0s;\n}\n/* See comment above why the rules were disabled */\n/* stylelint-enable no-descending-specificity */\n\n@keyframes network-row-highlight-fadeout {\n  from {\n    background-color: var(--override-highlight-fade-from);\n  }\n\n  to {\n    background-color: var(--override-highlight-fade-to);\n  }\n}\n\n/* Resource preview icons */\n/* These rules are grouped by type and therefore do not adhere to the ordering of stylelint */\n/* stylelint-disable no-descending-specificity, no-duplicate-selectors */\n\n.network-log-grid.data-grid .icon.image {\n  position: relative;\n}\n\n.network-log-grid.data-grid .icon {\n  float: left;\n  width: 32px;\n  height: 32px;\n  margin-top: 1px;\n  margin-right: 3px;\n}\n\n.network-log-grid.data-grid:focus-within .network-error-row.selected div.icon:not(.image) {\n  filter: none;\n}\n\n.data-grid-data-grid-node [is="ui-icon"].arrow-up-down-circle {\n  transform: scale(0.8);\n}\n\n.network-log-grid.data-grid .network-error-row.data-grid-data-grid-node img.icon,\n.network-log-grid.data-grid .network-error-row.data-grid-data-grid-node.selected img.icon {\n  /* This is generated with https://codepen.io/sosuke/pen/Pjoqqp to target var(--color-red) */\n  filter: brightness(0) saturate(100%) invert(35%) sepia(76%) saturate(1413%) hue-rotate(338deg) brightness(92%) contrast(103%);\n}\n\n.network-log-grid.data-grid.small .icon {\n  width: 16px;\n  height: 16px;\n}\n\n.image-network-icon-preview {\n  background: var(--color-image-preview-background);\n  border: 1px solid var(--color-details-hairline);\n  bottom: 0;\n  left: 0;\n  margin: auto;\n  overflow: hidden;\n  right: 0;\n  top: 0;\n}\n\n.network-log-grid.data-grid .image-network-icon-preview {\n  position: absolute;\n  max-width: 18px;\n  max-height: 21px;\n  min-width: 1px;\n  min-height: 1px;\n}\n\n.network-log-grid.data-grid.small .image-network-icon-preview {\n  left: 2px;\n  right: 2px;\n  max-width: 10px;\n  max-height: 12px;\n}\n\n.network-log-grid.data-grid .trailing-link-icon {\n  padding-left: 0.5ex;\n}\n/* stylelint-enable no-descending-specificity, no-duplicate-selectors */\n/* This is part of the large color block declared above, but should not be\n   extracted out. */\n/* stylelint-disable-next-line no-descending-specificity */\n.network-dim-cell {\n  color: var(--color-text-secondary);\n}\n\n.network-frame-divider {\n  --override-frame-divider: #fccc49;\n\n  width: 2px;\n  background-color: var(--override-frame-divider);\n  z-index: 10;\n  visibility: hidden;\n}\n\n.-theme-with-dark-background .network-frame-divider,\n:host-context(.-theme-with-dark-background) .network-frame-divider {\n  --override-frame-divider: rgb(182 134 3);\n}\n\n#network-container:not(.brief-mode) .data-container {\n  overflow: hidden;\n}\n\n.network-log-grid.data-grid .resources-dividers {\n  z-index: 0;\n}\n\n.network-log-grid.data-grid .resources-dividers-label-bar {\n  background-color: transparent;\n  border: none;\n  height: 30px;\n  pointer-events: none;\n}\n\n.network-log-grid.data-grid span.separator-in-cell {\n  user-select: none;\n  min-width: 1ex;\n  display: inline-block;\n}\n\n.network-status-pane {\n  color: var(--color-text-secondary);\n  background-color: var(--sys-color-cdt-base-container);\n  z-index: 500;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  text-align: center;\n  padding: 0 20px;\n  overflow: auto;\n}\n\n.network-status-pane > .recording-hint {\n  font-size: 14px;\n  text-align: center;\n  line-height: 28px;\n}\n\n.network-waterfall-header {\n  position: absolute;\n  border-left: 0;\n  width: 100%;\n  display: table;\n  z-index: 200;\n}\n\n.network-waterfall-header:hover {\n  background-color: var(--color-background-highlight);\n}\n\n.network-waterfall-header div {\n  display: table-cell;\n  line-height: 14px;\n  margin: auto 0;\n  vertical-align: middle;\n  text-align: left;\n  font-weight: normal;\n  padding: 0 4px;\n}\n/* All network-waterfall-header rules are defined here instead of above */\n/* stylelint-disable-next-line no-descending-specificity */\n.network-waterfall-header .sort-order-icon-container {\n  position: absolute;\n  top: 1px;\n  right: 0;\n  bottom: 1px;\n  display: flex;\n  align-items: center;\n}\n\n.network-waterfall-header .sort-order-icon {\n  align-items: center;\n  margin-right: 4px;\n  margin-bottom: -2px;\n}\n\n.network-frame-group-icon {\n  display: inline-block;\n  margin: -7px 1px;\n}\n\n.network-frame-group-badge {\n  margin-right: 4px;\n}\n\n.network-override-marker {\n  position: relative;\n  float: left;\n}\n\n.network-override-marker::before {\n  background-color: var(--color-purple-bright);\n  content: url("Images/empty.svg");\n  width: 6px;\n  height: 6px;\n  border-radius: 50%;\n  outline: 1px solid var(--icon-gap-toolbar);\n  left: 8px;\n  position: absolute;\n  top: 10px;\n  z-index: 1;\n}\n\n@media (forced-colors: active) {\n  .network-status-pane > .recording-hint {\n    color: canvastext;\n  }\n\n  .initiator-column .devtools-link {\n    color: linktext;\n  }\n\n  /* This is part of the large color block declared above, but should not be\n   extracted out. */\n  /* stylelint-disable no-descending-specificity */\n  .network-log-grid.data-grid tbody tr.revealed.selected,\n  .network-log-grid.data-grid:focus-within tbody tr.revealed.selected,\n  .network-log-grid.data-grid:focus-within tr.selected .network-dim-cell,\n  .network-log-grid.data-grid tr.selected .network-dim-cell,\n  .network-log-grid.data-grid:focus-within tr.selected .initiator-column .devtools-link,\n  .network-log-grid.data-grid tr.selected .initiator-column .devtools-link,\n  .network-waterfall-header:hover * {\n    color: HighlightText;\n  }\n  /* stylelint-enable no-descending-specificity */\n\n  .network-log-grid {\n    --color-grid-default: canvas;\n    --color-grid-stripe: canvas;\n    --color-grid-hovered: Highlight;\n    --color-grid-selected: ButtonText;\n    --color-grid-focus-selected: Highlight;\n  }\n\n  #network-container.no-node-selected:focus-within,\n  .network-status-pane {\n    forced-color-adjust: none;\n    border-color: Highlight;\n    background-color: canvas !important; /* stylelint-disable-line declaration-no-important */\n  }\n\n  .network-waterfall-header:hover {\n    forced-color-adjust: none;\n    background-color: Highlight;\n  }\n\n  .network-waterfall-header.small,\n  .network-log-grid.data-grid.small thead .network-waterfall-header,\n  .network-log-grid.data-grid thead {\n    background-color: canvas;\n  }\n\n  .network-waterfall-header:hover .sort-order-icon-container [is="ui-icon"].icon-mask {\n    background-color: HighlightText;\n  }\n}\n\n/*# sourceURL=networkLogView.css */\n');export default styles;