const styles=new CSSStyleSheet;styles.replaceSync("/*\n * Copyright 2023 The Chromium Authors. All rights reserved.\n * Use of this source code is governed by a BSD-style license that can be\n * found in the LICENSE file.\n */\n\n* {\n  margin: 0;\n  padding: 0;\n  box-sizing: border-box;\n  font-size: inherit;\n}\n\n.title-container {\n  /* 18px for 3 dot menu icon */\n  max-width: calc(100% - 18px);\n  font-size: 13px;\n  line-height: 16px;\n  letter-spacing: 0.03em;\n  display: flex;\n  flex-direction: row;\n  gap: 3px;\n  outline-offset: 3px;\n}\n\n.action {\n  display: flex;\n  align-items: flex-start;\n}\n\n.title {\n  flex: 1;\n  min-width: 0;\n}\n\n.is-start-of-group .title {\n  font-weight: bold;\n}\n\n.error-icon {\n  display: none;\n}\n\n.breakpoint-icon {\n  visibility: hidden;\n  cursor: pointer;\n  opacity: 0%;\n  fill: var(--sys-color-primary);\n  stroke: #1a73e8; /* stylelint-disable-line plugin/use_theme_colors */\n  transform: translate(-1.92px, -3px);\n}\n\n.circle-icon {\n  fill: var(--sys-color-primary);\n  stroke: var(--sys-color-cdt-base-container);\n  stroke-width: 4px;\n  r: 5px;\n  cx: 8px;\n  cy: 8px;\n}\n\n.is-start-of-group .circle-icon {\n  r: 7px;\n  fill: var(--sys-color-cdt-base-container);\n  stroke: var(--sys-color-primary);\n  stroke-width: 2px;\n}\n\n.step.is-success .circle-icon {\n  fill: var(--sys-color-primary);\n  stroke: var(--sys-color-primary);\n}\n\n.step.is-current .circle-icon {\n  stroke-dasharray: 24 10;\n  animation: rotate 1s linear infinite;\n  fill: var(--sys-color-cdt-base-container);\n  stroke: var(--sys-color-primary);\n  stroke-width: 2px;\n}\n\n.error {\n  margin: 16px 0 0;\n  padding: 8px;\n  background: var(--sys-color-error-container);\n  color: var(--sys-color-error);\n  position: relative;\n}\n\n@keyframes rotate {\n  0% {\n    transform: translate(8px, 8px) rotate(0) translate(-8px, -8px);\n  }\n\n  100% {\n    transform: translate(8px, 8px) rotate(360deg) translate(-8px, -8px);\n  }\n}\n\n.step.is-error .circle-icon {\n  fill: var(--sys-color-error);\n  stroke: var(--sys-color-error);\n}\n\n.step.is-error .error-icon {\n  display: block;\n  transform: translate(4px, 4px);\n}\n\n:host-context(.was-successful) .circle-icon {\n  animation: flash-circle 2s;\n}\n\n:host-context(.was-successful) .breakpoint-icon {\n  animation: flash-breakpoint-icon 2s;\n}\n\n@keyframes flash-circle {\n  25% {\n    fill: var(--override-color-recording-successful-text);\n    stroke: var(--override-color-recording-successful-text);\n  }\n\n  75% {\n    fill: var(--override-color-recording-successful-text);\n    stroke: var(--override-color-recording-successful-text);\n  }\n}\n\n@keyframes flash-breakpoint-icon {\n  25% {\n    fill: var(--override-color-recording-successful-text);\n    stroke: var(--override-color-recording-successful-text);\n  }\n\n  75% {\n    fill: var(--override-color-recording-successful-text);\n    stroke: var(--override-color-recording-successful-text);\n  }\n}\n\n.chevron {\n  width: 14px;\n  height: 14px;\n  transition: 200ms;\n  position: absolute;\n  top: 18px;\n  left: 24px;\n  transform: rotate(-90deg);\n}\n\n.expanded .chevron {\n  transform: rotate(0deg);\n}\n\n.is-start-of-group .chevron {\n  top: 34px;\n}\n\n.details {\n  display: none;\n  margin-top: 8px;\n  position: relative;\n}\n\n.expanded .details {\n  display: block;\n}\n\n.step-details {\n  overflow: auto;\n}\n\ndevtools-recorder-step-editor {\n  border: 1px solid var(--sys-color-neutral-outline);\n  padding: 3px 6px 6px;\n  margin-left: -6px;\n  border-radius: 3px;\n}\n\ndevtools-recorder-step-editor:hover {\n  border: 1px solid var(--sys-color-neutral-outline);\n}\n\ndevtools-recorder-step-editor.is-selected {\n  background-color: color-mix(in sRGB, var(--sys-color-tonal-container), var(--sys-color-cdt-base-container) 50%);\n  border: 1px solid var(--sys-color-tonal-outline);\n}\n\n.summary {\n  display: flex;\n  flex-flow: row nowrap;\n}\n\n.filler {\n  flex-grow: 1;\n}\n\n.subtitle {\n  font-weight: normal;\n  color: var(--sys-color-on-surface-subtle);\n  word-break: break-all;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.main-title {\n  word-break: break-all;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.step-actions {\n  border: none;\n  border-radius: 0;\n  width: 24px;\n  height: 24px;\n\n  --override-select-menu-show-button-border-radius: 0;\n  --override-select-menu-show-button-outline: none;\n  --override-select-menu-show-button-padding: 0;\n}\n\n.step-actions:hover,\n.step-actions:focus-within {\n  background-color: var(--sys-color-state-hover-on-subtle);\n}\n\n.step-actions:active {\n  background-color: var(--sys-color-cdt-base-container);\n}\n\n.step.has-breakpoint .circle-icon {\n  visibility: hidden;\n}\n\n.step:not(.is-start-of-group).has-breakpoint .breakpoint-icon {\n  visibility: visible;\n  opacity: 100%;\n}\n\n.step:not(.is-start-of-group):not(.has-breakpoint) .icon:hover .circle-icon {\n  transition: opacity 0.2s;\n  opacity: 0%;\n}\n\n.step:not(.is-start-of-group):not(.has-breakpoint) .icon:hover .error-icon {\n  visibility: hidden;\n}\n\n.step:not(.is-start-of-group):not(.has-breakpoint) .icon:hover .breakpoint-icon {\n  transition: opacity 0.2s;\n  visibility: visible;\n  opacity: 50%;\n}\n\n/*# sourceURL=stepView.css */\n");export default styles;