import{ElementHandle}from"../api/ElementHandle.js";import{assert}from"../util/assert.js";import{CDPJSHandle}from"./JSHandle.js";import{debugError}from"./util.js";const applyOffsetsToQuad=(t,e,a)=>t.map((t=>({x:t.x+e,y:t.y+a})));export class CDPElementHandle extends ElementHandle{#t;constructor(t,e,a){super(new CDPJSHandle(t,e)),this.#t=a}executionContext(){return this.handle.executionContext()}get client(){return this.handle.client}remoteObject(){return this.handle.remoteObject()}get#e(){return this.#t._frameManager}get#a(){return this.#t.page()}get frame(){return this.#t}async $(t){return super.$(t)}async $$(t){return super.$$(t)}async waitForSelector(t,e){return await super.waitForSelector(t,e)}async contentFrame(){const t=await this.client.send("DOM.describeNode",{objectId:this.id});return"string"!=typeof t.node.frameId?null:this.#e.frame(t.node.frameId)}async scrollIntoView(){await this.assertConnectedElement();try{await this.client.send("DOM.scrollIntoViewIfNeeded",{objectId:this.id})}catch(t){debugError(t),await super.scrollIntoView()}}async#i(t){let e=0,a=0,i=t;for(;i&&i.parentFrame();){const t=i.parentFrame();if(!i.isOOPFrame()||!t){i=t;continue}const{backendNodeId:s}=await t._client().send("DOM.getFrameOwner",{frameId:i._id}),o=await t._client().send("DOM.getBoxModel",{backendNodeId:s});if(!o)break;const n=o.model.content,r=this.#s(n)[0];e+=r.x,a+=r.y,i=t}return{offsetX:e,offsetY:a}}async clickablePoint(t){const[e,a]=await Promise.all([this.client.send("DOM.getContentQuads",{objectId:this.id}).catch(debugError),this.#a._client().send("Page.getLayoutMetrics")]);if(!e||!e.quads.length)throw new Error("Node is either not clickable or not an HTMLElement");const{clientWidth:i,clientHeight:s}=a.cssLayoutViewport||a.layoutViewport,{offsetX:o,offsetY:n}=await this.#i(this.#t),r=e.quads.map((t=>this.#s(t))).map((t=>applyOffsetsToQuad(t,o,n))).map((t=>this.#o(t,i,s))).filter((t=>computeQuadArea(t)>1));if(!r.length)throw new Error("Node is either not clickable or not an HTMLElement");const c=r[0];if(t){let e=Number.MAX_SAFE_INTEGER,a=Number.MAX_SAFE_INTEGER;for(const t of c)t.x<e&&(e=t.x),t.y<a&&(a=t.y);if(e!==Number.MAX_SAFE_INTEGER&&a!==Number.MAX_SAFE_INTEGER)return{x:e+t.x,y:a+t.y}}let d=0,l=0;for(const t of c)d+=t.x,l+=t.y;return{x:d/4,y:l/4}}#n(){const t={objectId:this.id};return this.client.send("DOM.getBoxModel",t).catch((t=>debugError(t)))}#s(t){return[{x:t[0],y:t[1]},{x:t[2],y:t[3]},{x:t[4],y:t[5]},{x:t[6],y:t[7]}]}#o(t,e,a){return t.map((t=>({x:Math.min(Math.max(t.x,0),e),y:Math.min(Math.max(t.y,0),a)})))}async hover(){await this.scrollIntoViewIfNeeded();const{x:t,y:e}=await this.clickablePoint();await this.#a.mouse.move(t,e)}async click(t={}){await this.scrollIntoViewIfNeeded();const{x:e,y:a}=await this.clickablePoint(t.offset);await this.#a.mouse.click(e,a,t)}async drag(t){assert(this.#a.isDragInterceptionEnabled(),"Drag Interception is not enabled!"),await this.scrollIntoViewIfNeeded();const e=await this.clickablePoint();return await this.#a.mouse.drag(e,t)}async dragEnter(t={items:[],dragOperationsMask:1}){await this.scrollIntoViewIfNeeded();const e=await this.clickablePoint();await this.#a.mouse.dragEnter(e,t)}async dragOver(t={items:[],dragOperationsMask:1}){await this.scrollIntoViewIfNeeded();const e=await this.clickablePoint();await this.#a.mouse.dragOver(e,t)}async drop(t={items:[],dragOperationsMask:1}){await this.scrollIntoViewIfNeeded();const e=await this.clickablePoint();await this.#a.mouse.drop(e,t)}async dragAndDrop(t,e){assert(this.#a.isDragInterceptionEnabled(),"Drag Interception is not enabled!"),await this.scrollIntoViewIfNeeded();const a=await this.clickablePoint(),i=await t.clickablePoint();await this.#a.mouse.dragAndDrop(a,i,e)}async uploadFile(...t){const e=await this.evaluate((t=>t.multiple));let a;assert(t.length<=1||e,"Multiple file uploads only work with <input type=file multiple>");try{a=await import("path")}catch(t){if(t instanceof TypeError)throw new Error("JSHandle#uploadFile can only be used in Node-like environments.");throw t}const i=t.map((t=>a.win32.isAbsolute(t)||a.posix.isAbsolute(t)?t:a.resolve(t))),{node:s}=await this.client.send("DOM.describeNode",{objectId:this.id}),{backendNodeId:o}=s;0===i.length?await this.evaluate((t=>{t.files=(new DataTransfer).files,t.dispatchEvent(new Event("input",{bubbles:!0})),t.dispatchEvent(new Event("change",{bubbles:!0}))})):await this.client.send("DOM.setFileInputFiles",{objectId:this.id,files:i,backendNodeId:o})}async tap(){await this.scrollIntoViewIfNeeded();const{x:t,y:e}=await this.clickablePoint();await this.#a.touchscreen.touchStart(t,e),await this.#a.touchscreen.touchEnd()}async touchStart(){await this.scrollIntoViewIfNeeded();const{x:t,y:e}=await this.clickablePoint();await this.#a.touchscreen.touchStart(t,e)}async touchMove(){await this.scrollIntoViewIfNeeded();const{x:t,y:e}=await this.clickablePoint();await this.#a.touchscreen.touchMove(t,e)}async touchEnd(){await this.scrollIntoViewIfNeeded(),await this.#a.touchscreen.touchEnd()}async type(t,e){await this.focus(),await this.#a.keyboard.type(t,e)}async press(t,e){await this.focus(),await this.#a.keyboard.press(t,e)}async boundingBox(){const t=await this.#n();if(!t)return null;const{offsetX:e,offsetY:a}=await this.#i(this.#t),i=t.model.border,s=Math.min(i[0],i[2],i[4],i[6]),o=Math.min(i[1],i[3],i[5],i[7]);return{x:s+e,y:o+a,width:Math.max(i[0],i[2],i[4],i[6])-s,height:Math.max(i[1],i[3],i[5],i[7])-o}}async boxModel(){const t=await this.#n();if(!t)return null;const{offsetX:e,offsetY:a}=await this.#i(this.#t),{content:i,padding:s,border:o,margin:n,width:r,height:c}=t.model;return{content:applyOffsetsToQuad(this.#s(i),e,a),padding:applyOffsetsToQuad(this.#s(s),e,a),border:applyOffsetsToQuad(this.#s(o),e,a),margin:applyOffsetsToQuad(this.#s(n),e,a),width:r,height:c}}async screenshot(t={}){let e=!1,a=await this.boundingBox();assert(a,"Node is either not visible or not an HTMLElement");const i=this.#a.viewport();if(i&&(a.width>i.width||a.height>i.height)){const t={width:Math.max(i.width,Math.ceil(a.width)),height:Math.max(i.height,Math.ceil(a.height))};await this.#a.setViewport(Object.assign({},i,t)),e=!0}await this.scrollIntoViewIfNeeded(),a=await this.boundingBox(),assert(a,"Node is either not visible or not an HTMLElement"),assert(0!==a.width,"Node has 0 width."),assert(0!==a.height,"Node has 0 height.");const s=await this.client.send("Page.getLayoutMetrics"),{pageX:o,pageY:n}=s.cssVisualViewport||s.layoutViewport,r=Object.assign({},a);r.x+=o,r.y+=n;const c=await this.#a.screenshot(Object.assign({},{clip:r},t));return e&&i&&await this.#a.setViewport(i),c}async autofill(t){const e=(await this.client.send("DOM.describeNode",{objectId:this.handle.id})).node.backendNodeId,a=this.#t._id;await this.client.send("Autofill.trigger",{fieldId:e,frameId:a,card:t.creditCard})}}function computeQuadArea(t){let e=0;for(let a=0;a<t.length;++a){const i=t[a],s=t[(a+1)%t.length];e+=(i.x*s.y-s.x*i.y)/2}return Math.abs(e)}