import{assert}from"../util/assert.js";import{isErrorLike}from"../util/ErrorLike.js";import{CDPSessionEmittedEvents,isTargetClosedError}from"./Connection.js";import{DeviceRequestPromptManager}from"./DeviceRequestPrompt.js";import{EventEmitter}from"./EventEmitter.js";import{ExecutionContext}from"./ExecutionContext.js";import{Frame,FrameEmittedEvents}from"./Frame.js";import{FrameTree}from"./FrameTree.js";import{MAIN_WORLD,PUPPETEER_WORLD}from"./IsolatedWorlds.js";import{NetworkManager}from"./NetworkManager.js";import{debugError,PuppeteerURL}from"./util.js";export const UTILITY_WORLD_NAME="__puppeteer_utility_world__";export const FrameManagerEmittedEvents={FrameAttached:Symbol("FrameManager.FrameAttached"),FrameNavigated:Symbol("FrameManager.FrameNavigated"),FrameDetached:Symbol("FrameManager.FrameDetached"),FrameSwapped:Symbol("FrameManager.FrameSwapped"),LifecycleEvent:Symbol("FrameManager.LifecycleEvent"),FrameNavigatedWithinDocument:Symbol("FrameManager.FrameNavigatedWithinDocument")};export class FrameManager extends EventEmitter{#e;#t;#a;#r=new Map;#i=new Set;#n;_frameTree=new FrameTree;#o=new Set;#s=new WeakMap;get timeoutSettings(){return this.#a}get networkManager(){return this.#t}get client(){return this.#n}constructor(e,t,a,r){super(),this.#n=e,this.#e=t,this.#t=new NetworkManager(e,a,this),this.#a=r,this.setupEventListeners(this.#n),e.once(CDPSessionEmittedEvents.Disconnected,(()=>{const e=this._frameTree.getMainFrame();e&&this.#m(e)}))}setupEventListeners(e){e.on("Page.frameAttached",(t=>{this.#d(e,t.frameId,t.parentFrameId)})),e.on("Page.frameNavigated",(e=>{this.#o.add(e.frame.id),this.#c(e.frame)})),e.on("Page.navigatedWithinDocument",(e=>{this.#h(e.frameId,e.url)})),e.on("Page.frameDetached",(e=>{this.#l(e.frameId,e.reason)})),e.on("Page.frameStartedLoading",(e=>{this.#g(e.frameId)})),e.on("Page.frameStoppedLoading",(e=>{this.#f(e.frameId)})),e.on("Runtime.executionContextCreated",(t=>{this.#E(t.context,e)})),e.on("Runtime.executionContextDestroyed",(t=>{this.#F(t.executionContextId,e)})),e.on("Runtime.executionContextsCleared",(()=>{this.#v(e)})),e.on("Page.lifecycleEvent",(e=>{this.#u(e)}))}async initialize(e=this.#n){try{const t=await Promise.all([e.send("Page.enable"),e.send("Page.getFrameTree")]),{frameTree:a}=t[1];this.#p(e,a),await Promise.all([e.send("Page.setLifecycleEventsEnabled",{enabled:!0}),e.send("Runtime.enable").then((()=>this.#x(e,UTILITY_WORLD_NAME))),e===this.#n?this.#t.initialize():Promise.resolve()])}catch(e){if(isErrorLike(e)&&isTargetClosedError(e))return;throw e}}executionContextById(e,t=this.#n){const a=this.getExecutionContextById(e,t);return assert(a,"INTERNAL ERROR: missing context with id = "+e),a}getExecutionContextById(e,t=this.#n){return this.#r.get(`${t.id()}:${e}`)}page(){return this.#e}mainFrame(){const e=this._frameTree.getMainFrame();return assert(e,"Requesting main frame too early!"),e}frames(){return Array.from(this._frameTree.frames())}frame(e){return this._frameTree.getById(e)||null}onAttachedToTarget(e){if("iframe"!==e._getTargetInfo().type)return;const t=this.frame(e._getTargetInfo().targetId);t&&t.updateClient(e._session()),this.setupEventListeners(e._session()),this.initialize(e._session())}_deviceRequestPromptManager(e){let t=this.#s.get(e);return void 0===t&&(t=new DeviceRequestPromptManager(e,this.#a),this.#s.set(e,t)),t}#u(e){const t=this.frame(e.frameId);t&&(t._onLifecycleEvent(e.loaderId,e.name),this.emit(FrameManagerEmittedEvents.LifecycleEvent,t),t.emit(FrameEmittedEvents.LifecycleEvent))}#g(e){const t=this.frame(e);t&&t._onLoadingStarted()}#f(e){const t=this.frame(e);t&&(t._onLoadingStopped(),this.emit(FrameManagerEmittedEvents.LifecycleEvent,t),t.emit(FrameEmittedEvents.LifecycleEvent))}#p(e,t){if(t.frame.parentId&&this.#d(e,t.frame.id,t.frame.parentId),this.#o.has(t.frame.id)?this.#o.delete(t.frame.id):this.#c(t.frame),t.childFrames)for(const a of t.childFrames)this.#p(e,a)}#d(e,t,a){let r=this.frame(t);r?e&&r.isOOPFrame()&&r.updateClient(e):(r=new Frame(this,t,a,e),this._frameTree.addFrame(r),this.emit(FrameManagerEmittedEvents.FrameAttached,r))}async#c(e){const t=e.id,a=!e.parentId;let r=this._frameTree.getById(t);if(r)for(const e of r.childFrames())this.#m(e);a&&(r?(this._frameTree.removeFrame(r),r._id=t):r=new Frame(this,t,void 0,this.#n),this._frameTree.addFrame(r)),r=await this._frameTree.waitForFrame(t),r._navigated(e),this.emit(FrameManagerEmittedEvents.FrameNavigated,r),r.emit(FrameEmittedEvents.FrameNavigated)}async#x(e,t){const a=`${e.id()}:${t}`;this.#i.has(a)||(await e.send("Page.addScriptToEvaluateOnNewDocument",{source:`//# sourceURL=${PuppeteerURL.INTERNAL_URL}`,worldName:t}),await Promise.all(this.frames().filter((t=>t._client()===e)).map((a=>e.send("Page.createIsolatedWorld",{frameId:a._id,worldName:t,grantUniveralAccess:!0}).catch(debugError)))),this.#i.add(a))}#h(e,t){const a=this.frame(e);a&&(a._navigatedWithinDocument(t),this.emit(FrameManagerEmittedEvents.FrameNavigatedWithinDocument,a),a.emit(FrameEmittedEvents.FrameNavigatedWithinDocument),this.emit(FrameManagerEmittedEvents.FrameNavigated,a),a.emit(FrameEmittedEvents.FrameNavigated))}#l(e,t){const a=this.frame(e);"remove"===t?a&&this.#m(a):"swap"===t&&(this.emit(FrameManagerEmittedEvents.FrameSwapped,a),a?.emit(FrameEmittedEvents.FrameSwapped))}#E(e,t){const a=e.auxData,r=a&&a.frameId,i="string"==typeof r?this.frame(r):void 0;let n;if(i){if(i._client()!==t)return;e.auxData&&e.auxData.isDefault?n=i.worlds[MAIN_WORLD]:e.name!==UTILITY_WORLD_NAME||i.worlds[PUPPETEER_WORLD].hasContext()||(n=i.worlds[PUPPETEER_WORLD])}const o=new ExecutionContext(i?._client()||this.#n,e,n);n&&n.setContext(o);const s=`${t.id()}:${e.id}`;this.#r.set(s,o)}#F(e,t){const a=`${t.id()}:${e}`,r=this.#r.get(a);r&&(this.#r.delete(a),r._world&&r._world.clearContext())}#v(e){for(const[t,a]of this.#r.entries())a._client===e&&(a._world&&a._world.clearContext(),this.#r.delete(t))}#m(e){for(const t of e.childFrames())this.#m(t);e._detach(),this._frameTree.removeFrame(e),this.emit(FrameManagerEmittedEvents.FrameDetached,e),e.emit(FrameEmittedEvents.FrameDetached,e)}}