import{Page}from"../api/Page.js";import{assert}from"../util/assert.js";import{Deferred}from"../util/Deferred.js";import{isErrorLike}from"../util/ErrorLike.js";import{Accessibility}from"./Accessibility.js";import{Binding}from"./Binding.js";import{CDPSessionEmittedEvents,isTargetClosedError}from"./Connection.js";import{ConsoleMessage}from"./ConsoleMessage.js";import{Coverage}from"./Coverage.js";import{CDPDialog}from"./Dialog.js";import{EmulationManager}from"./EmulationManager.js";import{TargetCloseError}from"./Errors.js";import{FileChooser}from"./FileChooser.js";import{FrameManager,FrameManagerEmittedEvents}from"./FrameManager.js";import{CDPKeyboard,CDPMouse,CDPTouchscreen}from"./Input.js";import{MAIN_WORLD}from"./IsolatedWorlds.js";import{NetworkManagerEmittedEvents}from"./NetworkManager.js";import{TimeoutSettings}from"./TimeoutSettings.js";import{Tracing}from"./Tracing.js";import{createClientError,createJSHandle,debugError,evaluationString,getReadableAsBuffer,getReadableFromProtocolStream,isString,pageBindingInitString,releaseObject,validateDialogType,valueFromRemoteObject,waitForEvent,waitWithTimeout,withSourcePuppeteerURLIfNone}from"./util.js";import{WebWorker}from"./WebWorker.js";export class CDPPage extends Page{static async _create(e,t,r,a,i){const s=new CDPPage(e,t,r,i);if(await s.#e(),a)try{await s.setViewport(a)}catch(e){if(!isErrorLike(e)||!isTargetClosedError(e))throw e;debugError(e)}return s}#t=!1;#r;#a;#i;#s;#n=new TimeoutSettings;#o;#c;#l;#u;#d;#h=new Map;#g=new Map;#m;#p;#f;#w=new Map;#y=new Set;#b=Deferred.create();#v=!1;#M=!1;#C=new Map([[FrameManagerEmittedEvents.FrameAttached,e=>this.emit("frameattached",e)],[FrameManagerEmittedEvents.FrameDetached,e=>this.emit("framedetached",e)],[FrameManagerEmittedEvents.FrameNavigated,e=>this.emit("framenavigated",e)]]);#E=new Map([[NetworkManagerEmittedEvents.Request,e=>this.emit("request",e)],[NetworkManagerEmittedEvents.RequestServedFromCache,e=>this.emit("requestservedfromcache",e)],[NetworkManagerEmittedEvents.Response,e=>this.emit("response",e)],[NetworkManagerEmittedEvents.RequestFailed,e=>this.emit("requestfailed",e)],[NetworkManagerEmittedEvents.RequestFinished,e=>this.emit("requestfinished",e)]]);#T=new Map([[CDPSessionEmittedEvents.Disconnected,()=>this.#b.resolve(new TargetCloseError("Target closed"))],["Page.domContentEventFired",()=>this.emit("domcontentloaded")],["Page.loadEventFired",()=>this.emit("load")],["Page.loadEventFired",()=>this.emit("load")],["Runtime.consoleAPICalled",e=>this.#k(e)],["Runtime.bindingCalled",e=>this.#F(e)],["Page.javascriptDialogOpening",e=>this.#D(e)],["Runtime.exceptionThrown",e=>this.#P(e.exceptionDetails)],["Inspector.targetCrashed",()=>this.#S()],["Performance.metrics",e=>this.#x(e)],["Log.entryAdded",e=>this.#I(e)],["Page.fileChooserOpened",e=>this.#N(e)]]);constructor(e,t,r,a){super(),this.#r=e,this.#a=t,this.#i=new CDPKeyboard(e),this.#s=new CDPMouse(e,this.#i),this.#o=new CDPTouchscreen(e,this.#i),this.#c=new Accessibility(e),this.#l=new FrameManager(e,this,r,this.#n),this.#u=new EmulationManager(e),this.#d=new Tracing(e),this.#m=new Coverage(e),this.#f=a,this.#p=null,this.#j()}#j(){this.#a._targetManager().addTargetInterceptor(this.#r,this.#B),this.#a._targetManager().on("targetGone",this.#O);for(const[e,t]of this.#C)this.#l.on(e,t);for(const[e,t]of this.#E)this.#l.networkManager.on(e,t);for(const[e,t]of this.#T)this.#r.on(e,t);this.#a._isClosedDeferred.valueOrThrow().then((()=>{this.#a._targetManager().removeTargetInterceptor(this.#r,this.#B),this.#a._targetManager().off("targetGone",this.#O),this.emit("close"),this.#t=!0})).catch(debugError)}#O=e=>{const t=e._session()?.id(),r=this.#w.get(t);r&&(this.#w.delete(t),this.emit("workerdestroyed",r))};#B=e=>{if(this.#l.onAttachedToTarget(e),"worker"===e._getTargetInfo().type){const t=e._session();assert(t);const r=new WebWorker(t,e.url(),this.#R.bind(this),this.#P.bind(this));this.#w.set(t.id(),r),this.emit("workercreated",r)}e._session()&&this.#a._targetManager().addTargetInterceptor(e._session(),this.#B)};async#e(){try{await Promise.all([this.#l.initialize(),this.#r.send("Performance.enable"),this.#r.send("Log.enable")])}catch(e){if(!isErrorLike(e)||!isTargetClosedError(e))throw e;debugError(e)}}async#N(e){if(!this.#y.size)return;const t=this.#l.frame(e.frameId);assert(t,"This should never happen.");const r=await t.worlds[MAIN_WORLD].adoptBackendNode(e.backendNodeId),a=new FileChooser(r,e);for(const e of this.#y)e.resolve(a);this.#y.clear()}_client(){return this.#r}isServiceWorkerBypassed(){return this.#v}isDragInterceptionEnabled(){return this.#M}isJavaScriptEnabled(){return this.#u.javascriptEnabled}waitForFileChooser(e={}){const t=0===this.#y.size,{timeout:r=this.#n.timeout()}=e,a=Deferred.create({message:`Waiting for \`FileChooser\` failed: ${r}ms exceeded`,timeout:r});let i;return this.#y.add(a),t&&(i=this.#r.send("Page.setInterceptFileChooserDialog",{enabled:!0})),Promise.all([a.valueOrThrow(),i]).then((([e])=>e)).catch((e=>{throw this.#y.delete(a),e}))}async setGeolocation(e){return await this.#u.setGeolocation(e)}target(){return this.#a}browser(){return this.#a.browser()}browserContext(){return this.#a.browserContext()}#S(){this.emit("error",new Error("Page crashed!"))}#I(e){const{level:t,text:r,args:a,source:i,url:s,lineNumber:n}=e.entry;a&&a.map((e=>releaseObject(this.#r,e))),"worker"!==i&&this.emit("console",new ConsoleMessage(t,r,[],[{url:s,lineNumber:n}]))}mainFrame(){return this.#l.mainFrame()}get keyboard(){return this.#i}get touchscreen(){return this.#o}get coverage(){return this.#m}get tracing(){return this.#d}get accessibility(){return this.#c}frames(){return this.#l.frames()}workers(){return Array.from(this.#w.values())}async setRequestInterception(e){return this.#l.networkManager.setRequestInterception(e)}async setBypassServiceWorker(e){return this.#v=e,this.#r.send("Network.setBypassServiceWorker",{bypass:e})}async setDragInterception(e){return this.#M=e,this.#r.send("Input.setInterceptDrags",{enabled:e})}setOfflineMode(e){return this.#l.networkManager.setOfflineMode(e)}emulateNetworkConditions(e){return this.#l.networkManager.emulateNetworkConditions(e)}setDefaultNavigationTimeout(e){this.#n.setDefaultNavigationTimeout(e)}setDefaultTimeout(e){this.#n.setDefaultTimeout(e)}getDefaultTimeout(){return this.#n.timeout()}async evaluateHandle(e,...t){e=withSourcePuppeteerURLIfNone(this.evaluateHandle.name,e);return(await this.mainFrame().executionContext()).evaluateHandle(e,...t)}async queryObjects(e){const t=await this.mainFrame().executionContext();assert(!e.disposed,"Prototype JSHandle is disposed!"),assert(e.id,"Prototype JSHandle must not be referencing primitive value");const r=await t._client.send("Runtime.queryObjects",{prototypeObjectId:e.id});return createJSHandle(t,r.objects)}async cookies(...e){const t=(await this.#r.send("Network.getCookies",{urls:e.length?e:[this.url()]})).cookies,r=["priority"];return t.map((e=>{for(const t of r)delete e[t];return e}))}async deleteCookie(...e){const t=this.url();for(const r of e){const e=Object.assign({},r);!r.url&&t.startsWith("http")&&(e.url=t),await this.#r.send("Network.deleteCookies",e)}}async setCookie(...e){const t=this.url(),r=t.startsWith("http"),a=e.map((e=>{const a=Object.assign({},e);return!a.url&&r&&(a.url=t),assert("about:blank"!==a.url,`Blank page can not have cookie "${a.name}"`),assert(!String.prototype.startsWith.call(a.url||"","data:"),`Data URL page can not have cookie "${a.name}"`),a}));await this.deleteCookie(...a),a.length&&await this.#r.send("Network.setCookies",{cookies:a})}async exposeFunction(e,t){if(this.#h.has(e))throw new Error(`Failed to add page binding with name ${e}: window['${e}'] already exists!`);let r;if("function"==typeof t)r=new Binding(e,t);else r=new Binding(e,t.default);this.#h.set(e,r);const a=pageBindingInitString("exposedFun",e);await this.#r.send("Runtime.addBinding",{name:e});const{identifier:i}=await this.#r.send("Page.addScriptToEvaluateOnNewDocument",{source:a});this.#g.set(e,i),await Promise.all(this.frames().map((e=>e.evaluate(a).catch(debugError))))}async removeExposedFunction(e){const t=this.#g.get(e);if(!t)throw new Error(`Failed to remove page binding with name ${e}: window['${e}'] does not exists!`);await this.#r.send("Runtime.removeBinding",{name:e}),await this.removeScriptToEvaluateOnNewDocument(t),await Promise.all(this.frames().map((t=>t.evaluate((e=>{globalThis[e]=void 0}),e).catch(debugError)))),this.#g.delete(e),this.#h.delete(e)}async authenticate(e){return this.#l.networkManager.authenticate(e)}async setExtraHTTPHeaders(e){return this.#l.networkManager.setExtraHTTPHeaders(e)}async setUserAgent(e,t){return this.#l.networkManager.setUserAgent(e,t)}async metrics(){const e=await this.#r.send("Performance.getMetrics");return this.#q(e.metrics)}#x(e){this.emit("metrics",{title:e.title,metrics:this.#q(e.metrics)})}#q(e){const t={};for(const r of e||[])supportedMetrics.has(r.name)&&(t[r.name]=r.value);return t}#P(e){this.emit("pageerror",createClientError(e))}async#k(e){if(0===e.executionContextId)return;const t=this.#l.getExecutionContextById(e.executionContextId,this.#r);if(!t)return void debugError(new Error(`ExecutionContext not found for a console message: ${JSON.stringify(e)}`));const r=e.args.map((e=>createJSHandle(t,e)));this.#R(e.type,r,e.stackTrace)}async#F(e){let t;try{t=JSON.parse(e.payload)}catch{return}const{type:r,name:a,seq:i,args:s,isTrivial:n}=t;if("exposedFun"!==r)return;const o=this.#l.executionContextById(e.executionContextId,this.#r);if(!o)return;const c=this.#h.get(a);await(c?.run(o,i,s,n))}#R(e,t,r){if(!this.listenerCount("console"))return void t.forEach((e=>e.dispose()));const a=[];for(const e of t){const t=e.remoteObject();t.objectId?a.push(e.toString()):a.push(valueFromRemoteObject(t))}const i=[];if(r)for(const e of r.callFrames)i.push({url:e.url,lineNumber:e.lineNumber,columnNumber:e.columnNumber});const s=new ConsoleMessage(e,a.join(" "),t,i);this.emit("console",s)}#D(e){const t=validateDialogType(e.type),r=new CDPDialog(this.#r,t,e.message,e.defaultPrompt);this.emit("dialog",r)}url(){return this.mainFrame().url()}async content(){return await this.mainFrame().content()}async setContent(e,t={}){await this.mainFrame().setContent(e,t)}async goto(e,t={}){return await this.mainFrame().goto(e,t)}async reload(e){return(await Promise.all([this.waitForNavigation(e),this.#r.send("Page.reload")]))[0]}async createCDPSession(){return await this.target().createCDPSession()}async waitForRequest(e,t={}){const{timeout:r=this.#n.timeout()}=t;return waitForEvent(this.#l.networkManager,NetworkManagerEmittedEvents.Request,(async t=>isString(e)?e===t.url():"function"==typeof e&&!!await e(t)),r,this.#b.valueOrThrow())}async waitForResponse(e,t={}){const{timeout:r=this.#n.timeout()}=t;return waitForEvent(this.#l.networkManager,NetworkManagerEmittedEvents.Response,(async t=>isString(e)?e===t.url():"function"==typeof e&&!!await e(t)),r,this.#b.valueOrThrow())}async waitForNetworkIdle(e={}){const{idleTime:t=500,timeout:r=this.#n.timeout()}=e;await this._waitForNetworkIdle(this.#l.networkManager,t,r,this.#b)}async waitForFrame(e,t={}){const{timeout:r=this.#n.timeout()}=t;let a;a=isString(e)?t=>Promise.resolve(e===t.url()):t=>{const r=e(t);return"boolean"==typeof r?Promise.resolve(r):r};const i=Deferred.race([waitForEvent(this.#l,FrameManagerEmittedEvents.FrameAttached,a,r,this.#b.valueOrThrow()),waitForEvent(this.#l,FrameManagerEmittedEvents.FrameNavigated,a,r,this.#b.valueOrThrow()),...this.frames().map((async e=>await a(e)?e:await i))]);return i}async goBack(e={}){return this.#H(-1,e)}async goForward(e={}){return this.#H(1,e)}async#H(e,t){const r=await this.#r.send("Page.getNavigationHistory"),a=r.entries[r.currentIndex+e];if(!a)return null;return(await Promise.all([this.waitForNavigation(t),this.#r.send("Page.navigateToHistoryEntry",{entryId:a.id})]))[0]}async bringToFront(){await this.#r.send("Page.bringToFront")}async setJavaScriptEnabled(e){return await this.#u.setJavaScriptEnabled(e)}async setBypassCSP(e){await this.#r.send("Page.setBypassCSP",{enabled:e})}async emulateMediaType(e){return await this.#u.emulateMediaType(e)}async emulateCPUThrottling(e){return await this.#u.emulateCPUThrottling(e)}async emulateMediaFeatures(e){return await this.#u.emulateMediaFeatures(e)}async emulateTimezone(e){return await this.#u.emulateTimezone(e)}async emulateIdleState(e){return await this.#u.emulateIdleState(e)}async emulateVisionDeficiency(e){return await this.#u.emulateVisionDeficiency(e)}async setViewport(e){const t=await this.#u.emulateViewport(e);this.#p=e,t&&await this.reload()}viewport(){return this.#p}async evaluate(e,...t){return e=withSourcePuppeteerURLIfNone(this.evaluate.name,e),this.mainFrame().evaluate(e,...t)}async evaluateOnNewDocument(e,...t){const r=evaluationString(e,...t),{identifier:a}=await this.#r.send("Page.addScriptToEvaluateOnNewDocument",{source:r});return{identifier:a}}async removeScriptToEvaluateOnNewDocument(e){await this.#r.send("Page.removeScriptToEvaluateOnNewDocument",{identifier:e})}async setCacheEnabled(e=!0){await this.#l.networkManager.setCacheEnabled(e)}async screenshot(e={}){let t="png";if(e.type)t=e.type;else if(e.path){const r=e.path,a=r.slice(r.lastIndexOf(".")+1).toLowerCase();switch(a){case"png":t="png";break;case"jpeg":case"jpg":t="jpeg";break;case"webp":t="webp";break;default:throw new Error(`Unsupported screenshot type for extension \`.${a}\``)}}return e.quality&&(assert("jpeg"===t||"webp"===t,"options.quality is unsupported for the "+t+" screenshots"),assert("number"==typeof e.quality,"Expected options.quality to be a number but found "+typeof e.quality),assert(Number.isInteger(e.quality),"Expected options.quality to be an integer"),assert(e.quality>=0&&e.quality<=100,"Expected options.quality to be between 0 and 100 (inclusive), got "+e.quality)),assert(!e.clip||!e.fullPage,"options.clip and options.fullPage are exclusive"),e.clip&&(assert("number"==typeof e.clip.x,"Expected options.clip.x to be a number but found "+typeof e.clip.x),assert("number"==typeof e.clip.y,"Expected options.clip.y to be a number but found "+typeof e.clip.y),assert("number"==typeof e.clip.width,"Expected options.clip.width to be a number but found "+typeof e.clip.width),assert("number"==typeof e.clip.height,"Expected options.clip.height to be a number but found "+typeof e.clip.height),assert(0!==e.clip.width,"Expected options.clip.width not to be 0."),assert(0!==e.clip.height,"Expected options.clip.height not to be 0.")),this.#f.postTask((()=>this.#A(t,e)))}async#A(e,t={}){await this.#r.send("Target.activateTarget",{targetId:this.#a._targetId});let r=t.clip?function(e){const t=Math.round(e.x),r=Math.round(e.y),a=Math.round(e.width+e.x-t),i=Math.round(e.height+e.y-r);return{x:t,y:r,width:a,height:i,scale:e.scale}}(t.clip):void 0,a=t.captureBeyondViewport??!0;const i=t.fromSurface;if(t.fullPage){if(r=void 0,!a){const e=await this.#r.send("Page.getLayoutMetrics"),{width:t,height:r}=e.cssContentSize||e.contentSize,{isMobile:a=!1,deviceScaleFactor:i=1,isLandscape:s=!1}=this.#p||{},n=s?{angle:90,type:"landscapePrimary"}:{angle:0,type:"portraitPrimary"};await this.#r.send("Emulation.setDeviceMetricsOverride",{mobile:a,width:t,height:r,deviceScaleFactor:i,screenOrientation:n})}}else r||(a=!1);const s=t.omitBackground&&("png"===e||"webp"===e);s&&await this.#u.setTransparentBackgroundColor();const n=await this.#r.send("Page.captureScreenshot",{format:e,optimizeForSpeed:t.optimizeForSpeed,quality:t.quality,clip:r&&{...r,scale:r.scale??1},captureBeyondViewport:a,fromSurface:i});if(s&&await this.#u.resetDefaultBackgroundColor(),t.fullPage&&this.#p&&await this.setViewport(this.#p),"base64"===t.encoding)return n.data;const o=Buffer.from(n.data,"base64");return await this._maybeWriteBufferToFile(t.path,o),o}async createPDFStream(e={}){const{landscape:t,displayHeaderFooter:r,headerTemplate:a,footerTemplate:i,printBackground:s,scale:n,width:o,height:c,margin:l,pageRanges:u,preferCSSPageSize:d,omitBackground:h,timeout:g}=this._getPDFOptions(e);h&&await this.#u.setTransparentBackgroundColor();const m=this.#r.send("Page.printToPDF",{transferMode:"ReturnAsStream",landscape:t,displayHeaderFooter:r,headerTemplate:a,footerTemplate:i,printBackground:s,scale:n,paperWidth:o,paperHeight:c,marginTop:l.top,marginBottom:l.bottom,marginLeft:l.left,marginRight:l.right,pageRanges:u,preferCSSPageSize:d}),p=await waitWithTimeout(m,"Page.printToPDF",g);return h&&await this.#u.resetDefaultBackgroundColor(),assert(p.stream,"`stream` is missing from `Page.printToPDF"),getReadableFromProtocolStream(this.#r,p.stream)}async pdf(e={}){const{path:t}=e,r=await this.createPDFStream(e),a=await getReadableAsBuffer(r,t);return assert(a,"Could not create buffer"),a}async title(){return this.mainFrame().title()}async close(e={runBeforeUnload:void 0}){const t=this.#r.connection();assert(t,"Protocol error: Connection closed. Most likely the page has been closed.");!!e.runBeforeUnload?await this.#r.send("Page.close"):(await t.send("Target.closeTarget",{targetId:this.#a._targetId}),await this.#a._isClosedDeferred.valueOrThrow())}isClosed(){return this.#t}get mouse(){return this.#s}waitForDevicePrompt(e={}){return this.mainFrame().waitForDevicePrompt(e)}}const supportedMetrics=new Set(["Timestamp","Documents","Frames","JSEventListeners","Nodes","LayoutCount","RecalcStyleCount","LayoutDuration","RecalcStyleDuration","ScriptDuration","TaskDuration","JSHeapUsedSize","JSHeapTotalSize"]);