import{Page as PageBase}from"../../api/Page.js";import{assert}from"../../util/assert.js";import{Deferred}from"../../util/Deferred.js";import{Accessibility}from"../Accessibility.js";import{ConsoleMessage}from"../ConsoleMessage.js";import{Coverage}from"../Coverage.js";import{EmulationManager as CDPEmulationManager}from"../EmulationManager.js";import{TargetCloseError}from"../Errors.js";import{FrameTree}from"../FrameTree.js";import{NetworkManagerEmittedEvents}from"../NetworkManager.js";import{TimeoutSettings}from"../TimeoutSettings.js";import{Tracing}from"../Tracing.js";import{debugError,evaluationString,isString,validateDialogType,waitForEvent,waitWithTimeout,withSourcePuppeteerURLIfNone}from"../util.js";import{BrowsingContextEmittedEvents,CDPSessionWrapper}from"./BrowsingContext.js";import{Dialog}from"./Dialog.js";import{EmulationManager}from"./EmulationManager.js";import{Frame}from"./Frame.js";import{Keyboard,Mouse,Touchscreen}from"./Input.js";import{NetworkManager}from"./NetworkManager.js";import{getBidiHandle}from"./Realm.js";import{BidiSerializer}from"./Serializer.js";export class Page extends PageBase{#e;#t=new TimeoutSettings;#i;#r=new FrameTree;#n;#a=null;#o=Deferred.create();#s=new Map([["log.entryAdded",this.#m.bind(this)],["browsingContext.load",this.#c.bind(this)],["browsingContext.domContentLoaded",this.#u.bind(this)],["browsingContext.navigationStarted",this.#h.bind(this)],["browsingContext.userPromptOpened",this.#d.bind(this)]]);#l=new Map([[NetworkManagerEmittedEvents.Request,this.emit.bind(this,"request")],[NetworkManagerEmittedEvents.RequestServedFromCache,this.emit.bind(this,"requestservedfromcache")],[NetworkManagerEmittedEvents.RequestFailed,this.emit.bind(this,"requestfailed")],[NetworkManagerEmittedEvents.RequestFinished,this.emit.bind(this,"requestfinished")],[NetworkManagerEmittedEvents.Response,this.emit.bind(this,"response")]]);#g=new Map([[BrowsingContextEmittedEvents.Created,this.#w.bind(this)],[BrowsingContextEmittedEvents.Destroyed,this.#p.bind(this)]]);#f;#v;#b;#y;#E;#F;#C;#x;#M;_client(){return this.mainFrame().context().cdpSession}constructor(e,t){super(),this.#x=e,this.#M=t,this.#i=e.connection;for(const[e,t]of this.#g)this.#x.on(e,t);this.#n=new NetworkManager(this.#i,this);for(const[e,t]of this.#s)this.#i.on(e,t);for(const[e,t]of this.#l)this.#n.on(e,t);const i=new Frame(this,this.#x,this.#t,this.#x.parent);this.#r.addFrame(i),this.emit("frameattached",i),this.#e=new Accessibility(this.mainFrame().context().cdpSession),this.#f=new Tracing(this.mainFrame().context().cdpSession),this.#v=new Coverage(this.mainFrame().context().cdpSession),this.#b=new CDPEmulationManager(this.mainFrame().context().cdpSession),this.#y=new EmulationManager(e),this.#E=new Mouse(this.mainFrame().context()),this.#F=new Touchscreen(this.mainFrame().context()),this.#C=new Keyboard(this.mainFrame().context())}_setBrowserContext(e){this.#M=e}get accessibility(){return this.#e}get tracing(){return this.#f}get coverage(){return this.#v}get mouse(){return this.#E}get touchscreen(){return this.#F}get keyboard(){return this.#C}browser(){return this.browserContext().browser()}browserContext(){return this.#M}mainFrame(){const e=this.#r.getMainFrame();return assert(e,"Requesting main frame too early!"),e}frames(){return Array.from(this.#r.frames())}frame(e){return this.#r.getById(e??"")||null}childFrames(e){return this.#r.childFrames(e)}#c(e){const t=this.frame(e.context);t&&this.mainFrame()===t&&this.emit("load")}#u(e){const t=this.frame(e.context);t&&this.mainFrame()===t&&this.emit("domcontentloaded")}#w(e){if(!this.frame(e.id)&&(this.frame(e.parent??"")||!this.#r.getMainFrame())){const t=new Frame(this,e,this.#t,e.parent);this.#r.addFrame(t),t!==this.mainFrame()&&this.emit("frameattached",t)}}async#h(e){const t=e.context,i=this.frame(t);if(i){const e=e=>e.context===i?._id;await Deferred.race([waitForEvent(this.#i,"browsingContext.domContentLoaded",e,0,this.#o.valueOrThrow()).catch(debugError),waitForEvent(this.#i,"browsingContext.fragmentNavigated",e,0,this.#o.valueOrThrow()).catch(debugError)]),this.emit("framenavigated",i)}}#p(e){const t=this.frame(e.id);t&&(t===this.mainFrame()&&this.emit("close"),this.#T(t))}#T(e){for(const t of e.childFrames())this.#T(t);e.dispose(),this.#n.clearMapAfterFrameDispose(e),this.#r.removeFrame(e),this.emit("framedetached",e)}#m(e){const t=this.frame(e.source.context);if(t)if(isConsoleLogEntry(e)){const i=e.args.map((e=>getBidiHandle(t.context(),e,t))),r=i.reduce(((e,t)=>`${e} ${t.isPrimitiveValue?BidiSerializer.deserialize(t.remoteValue()):t.toString()}`),"").slice(1);this.emit("console",new ConsoleMessage(e.method,r,i,getStackTraceLocations(e.stackTrace)))}else if(isJavaScriptLogEntry(e)){let t=e.text??"";if(e.stackTrace)for(const i of e.stackTrace.callFrames){const e=i.url+":"+i.lineNumber+":"+i.columnNumber;t+=`\n    at ${i.functionName||"<anonymous>"} (${e})`}const i=new Error(t);i.stack="",this.emit("pageerror",i)}else debugError(`Unhandled LogEntry with type "${e.type}", text "${e.text}" and level "${e.level}"`)}#d(e){const t=this.frame(e.context);if(!t)return;const i=validateDialogType(e.type),r=new Dialog(t.context(),i,e.message);this.emit("dialog",r)}getNavigationResponse(e){return this.#n.getNavigationResponse(e)}isClosed(){return this.#o.finished()}async close(){this.#o.finished()||(this.#o.resolve(new TargetCloseError("Page closed!")),this.#n.dispose(),await this.#i.send("browsingContext.close",{context:this.mainFrame()._id}),this.emit("close"),this.removeAllListeners())}async evaluateHandle(e,...t){return e=withSourcePuppeteerURLIfNone(this.evaluateHandle.name,e),this.mainFrame().evaluateHandle(e,...t)}async evaluate(e,...t){return e=withSourcePuppeteerURLIfNone(this.evaluate.name,e),this.mainFrame().evaluate(e,...t)}async goto(e,t){return this.mainFrame().goto(e,t)}async reload(e){const[t]=await Promise.all([this.waitForResponse((e=>e.request().isNavigationRequest()&&e.url()===this.url())),this.mainFrame().context().reload({...e,timeout:e?.timeout??this.#t.navigationTimeout()})]);return t}url(){return this.mainFrame().url()}setDefaultNavigationTimeout(e){this.#t.setDefaultNavigationTimeout(e)}setDefaultTimeout(e){this.#t.setDefaultTimeout(e)}getDefaultTimeout(){return this.#t.timeout()}async setContent(e,t={}){await this.mainFrame().setContent(e,t)}async content(){return this.mainFrame().content()}isJavaScriptEnabled(){return this.#b.javascriptEnabled}async setGeolocation(e){return await this.#b.setGeolocation(e)}async setJavaScriptEnabled(e){return await this.#b.setJavaScriptEnabled(e)}async emulateMediaType(e){return await this.#b.emulateMediaType(e)}async emulateCPUThrottling(e){return await this.#b.emulateCPUThrottling(e)}async emulateMediaFeatures(e){return await this.#b.emulateMediaFeatures(e)}async emulateTimezone(e){return await this.#b.emulateTimezone(e)}async emulateIdleState(e){return await this.#b.emulateIdleState(e)}async emulateVisionDeficiency(e){return await this.#b.emulateVisionDeficiency(e)}async setViewport(e){if(!this.#x.supportsCDP())return await this.#y.emulateViewport(e),void(this.#a=e);await this.#b.emulateViewport(e);this.#a=e}viewport(){return this.#a}async pdf(e={}){const{path:t}=e,{printBackground:i,margin:r,landscape:n,width:a,height:o,pageRanges:s,scale:m,preferCSSPageSize:c,timeout:u}=this._getPDFOptions(e,"cm"),h=s?s.split(", "):[],{result:d}=await waitWithTimeout(this.#i.send("browsingContext.print",{context:this.mainFrame()._id,background:i,margin:r,orientation:n?"landscape":"portrait",page:{width:a,height:o},pageRanges:h,scale:m,shrinkToFit:!c}),"browsingContext.print",u),l=Buffer.from(d.data,"base64");return await this._maybeWriteBufferToFile(t,l),l}async createPDFStream(e){const t=await this.pdf(e);try{const{Readable:e}=await import("stream");return e.from(t)}catch(e){if(e instanceof TypeError)throw new Error("Can only pass a file path in a Node-like environment.");throw e}}async screenshot(e={}){const{path:t,encoding:i,...r}=e;if(Object.keys(r).length>=1)throw new Error('BiDi only supports "encoding" and "path" options');const{result:n}=await this.#i.send("browsingContext.captureScreenshot",{context:this.mainFrame()._id});if("base64"===i)return n.data;const a=Buffer.from(n.data,"base64");return await this._maybeWriteBufferToFile(t,a),a}waitForRequest(e,t={}){const{timeout:i=this.#t.timeout()}=t;return waitForEvent(this.#n,NetworkManagerEmittedEvents.Request,(async t=>isString(e)?e===t.url():"function"==typeof e&&!!await e(t)),i,this.#o.valueOrThrow())}waitForResponse(e,t={}){const{timeout:i=this.#t.timeout()}=t;return waitForEvent(this.#n,NetworkManagerEmittedEvents.Response,(async t=>isString(e)?e===t.url():"function"==typeof e&&!!await e(t)),i,this.#o.valueOrThrow())}async waitForNetworkIdle(e={}){const{idleTime:t=500,timeout:i=this.#t.timeout()}=e;await this._waitForNetworkIdle(this.#n,t,i,this.#o)}title(){return this.mainFrame().title()}async createCDPSession(){const{sessionId:e}=await this.mainFrame().context().cdpSession.send("Target.attachToTarget",{targetId:this.mainFrame()._id,flatten:!0});return new CDPSessionWrapper(this.mainFrame().context(),e)}async bringToFront(){await this.#i.send("browsingContext.activate",{context:this.mainFrame()._id})}async evaluateOnNewDocument(e,...t){const i=evaluationExpression(e,...t),{result:r}=await this.#i.send("script.addPreloadScript",{functionDeclaration:i});return{identifier:r.script}}async removeScriptToEvaluateOnNewDocument(e){await this.#i.send("script.removePreloadScript",{script:e})}}function isConsoleLogEntry(e){return"console"===e.type}function isJavaScriptLogEntry(e){return"javascript"===e.type}function getStackTraceLocations(e){const t=[];if(e)for(const i of e.callFrames)t.push({url:i.url,lineNumber:i.lineNumber,columnNumber:i.columnNumber});return t}function evaluationExpression(e,...t){return`() => {${evaluationString(e,...t)}}`}