export default{cssContent:'/*\n * Copyright (C) 2006, 2007, 2008 Apple Inc.  All rights reserved.\n * Copyright (C) 2009 Anthony Ricaud <rik@webkit.org>\n * Copyright (C) 2011 Google Inc. All rights reserved.\n *\n * Redistribution and use in source and binary forms, with or without\n * modification, are permitted provided that the following conditions are\n * met:\n *\n * 1. Redistributions of source code must retain the above copyright\n * notice, this list of conditions and the following disclaimer.\n *\n * 2. Redistributions in binary form must reproduce the above\n * copyright notice, this list of conditions and the following disclaimer\n * in the documentation and/or other materials provided with the\n * distribution.\n *\n * THIS SOFTWARE IS PROVIDED BY GOOGLE INC. AND ITS CONTRIBUTORS\n * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL GOOGLE INC.\n * OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n */\n\n.tabbed-pane {\n  flex: auto;\n  overflow: hidden;\n}\n\n.tabbed-pane-content {\n  position: relative;\n  overflow: auto;\n  flex: auto;\n  display: flex;\n  flex-direction: column;\n}\n\n.tabbed-pane-content.has-no-tabs {\n  background-color: var(--sys-color-cdt-base-container);\n}\n\n.tabbed-pane-placeholder {\n  font-size: 14px;\n  text-align: center;\n  width: fit-content;\n  margin: 40px auto 0;\n  text-shadow: var(--color-background-opacity-80) 0 1px 0;\n  line-height: 28px;\n}\n\n.tabbed-pane-placeholder-row {\n  margin-inline: 10px;\n\n  & span {\n    padding-inline: 10px;\n  }\n}\n\n.tabbed-pane-header {\n  display: flex;\n  flex: 0 0 27px;\n  border-bottom: 1px solid var(--sys-color-divider);\n  overflow: visible;\n  width: 100%;\n  background-color: var(--sys-color-cdt-base);\n}\n\n.tabbed-pane-header-contents {\n  flex: auto;\n  pointer-events: none;\n  margin-left: 0;\n  position: relative;\n  cursor: default;\n}\n\n.tabbed-pane-header-contents > * {\n  pointer-events: initial;\n}\n\n.tabbed-pane-header-tab-icon {\n  min-width: 14px;\n  display: flex;\n  align-items: center;\n  margin-right: 2px;\n}\n\n.tabbed-pane-header-tab-icon devtools-icon {\n  margin-left: -1px;\n}\n\n.tabbed-pane-header-tab {\n  float: left;\n  padding: 2px 0.8em;\n  height: 26px;\n  line-height: 16px;\n  white-space: nowrap;\n  cursor: default;\n  display: flex;\n  align-items: center;\n  color: var(--ui-text);\n}\n\n.tabbed-pane-header-tab.closeable {\n  padding-right: 4px;\n}\n\n.tabbed-pane-header-tab.preview.closeable {\n  padding-right: 5px;\n}\n\n.tabbed-pane-header-tab devtools-icon.dot::before {\n  outline-color: var(--icon-gap-toolbar);\n}\n\n.tabbed-pane-header-tab:hover devtools-icon.dot::before {\n  outline-color: var(--icon-gap-toolbar-hover);\n}\n\n.tabbed-pane-header-tab:hover,\n.tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible {\n  color: var(--color-text-primary);\n  background-color: var(--sys-color-state-hover-on-subtle);\n}\n\n.tabbed-pane-header-tab-title {\n  text-overflow: ellipsis;\n  overflow: hidden;\n}\n\n.tabbed-pane-header-tab.measuring {\n  visibility: hidden;\n}\n\n.tabbed-pane-header-tab.selected {\n  border-bottom: none;\n  color: var(--sys-color-primary);\n}\n\n/**\n * In light-mode we have a blue border to show the active pane, and we don\'t change the background color. In dark mode we do not show the border, so we instead change the background color.\n */\n/* stylelint-disable no-descending-specificity */\n.-theme-with-dark-background .tabbed-pane-header-tab.selected,\n:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.selected {\n  --override-tabbed-dark-mode-bg-color: rgb(0 0 0);\n\n  background-color: var(--override-tabbed-dark-mode-bg-color);\n}\n\n.-theme-with-dark-background .tabbed-pane-header-tab.selected,\n:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.selected:focus-visible {\n  background-color: var(--color-background-elevation-0);\n}\n/* stylelint-enable no-descending-specificity */\n\n.tabbed-pane-header-tab.dragging {\n  --override-dragging-box-shadow-color: rgb(0 0 0 / 37%);\n\n  position: relative;\n  box-shadow: 0 1px 4px 0 var(--override-dragging-box-shadow-color);\n  background-color: var(--color-background-elevation-2);\n}\n\n.-theme-with-dark-background .tabbed-pane-header-tab.dragging,\n:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.dragging {\n  --override-dragging-box-shadow-color: rgb(230 230 230 / 37%);\n}\n\n.tabbed-pane-header-tab .tabbed-pane-close-button {\n  margin: 0 -3px 0 4px;\n  visibility: hidden;\n}\n\n.tabbed-pane-header-tab:hover .tabbed-pane-close-button,\n.tabbed-pane-header-tab.selected .tabbed-pane-close-button {\n  visibility: visible;\n}\n\n.tabbed-pane-header-tabs-drop-down-container {\n  float: left;\n  opacity: 80%;\n  display: flex;\n  align-items: center;\n  height: 100%;\n}\n\n.tabbed-pane-header-tabs-drop-down-container > .chevron-icon {\n  background-color: var(--icon-default);\n  display: block;\n}\n\n.tabbed-pane-header-tabs-drop-down-container > .chevron-icon:hover,\n.tabbed-pane-header-tabs-drop-down-container > .chevron-icon:focus-visible {\n  background-color: var(--icon-default-hover);\n  display: block;\n}\n\n.tabbed-pane-header-tabs-drop-down-container:hover,\n.tabbed-pane-header-tabs-drop-down-container:focus-visible {\n  background-color: var(--color-background-elevation-2);\n}\n\n.tabbed-pane-header-tabs-drop-down-container.measuring {\n  visibility: hidden;\n}\n\n.tabbed-pane-header-tabs-drop-down-container:active {\n  opacity: 80%;\n}\n/* Web page style */\n\n.tabbed-pane-shadow.vertical-tab-layout {\n  flex-direction: row !important; /* stylelint-disable-line declaration-no-important */\n}\n\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header {\n  background-color: transparent;\n  border: none transparent !important; /* stylelint-disable-line declaration-no-important */\n  width: auto;\n  flex: 0 0 auto;\n  flex-direction: column;\n  padding-top: 10px;\n  padding-right: 4px;\n  overflow: hidden;\n}\n\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-content {\n  padding: 10px 10px 10px 4px;\n  overflow-x: hidden;\n}\n\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-contents {\n  margin: 0;\n  flex: none;\n}\n\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tabs {\n  display: flex;\n  flex-direction: column;\n  width: 120px;\n}\n\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab {\n  border: none transparent;\n  font-weight: normal;\n  text-shadow: none;\n  color: var(--color-text-secondary);\n  height: 26px;\n  padding-left: 10px;\n  border-left: 6px solid transparent;\n  margin: 0;\n  display: flex;\n  align-items: center;\n}\n\n/* stylelint-disable no-descending-specificity */\n.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected {\n  --override-vertical-tab-selected-border-color: #666;\n\n  color: inherit;\n  border: none transparent;\n  border-left: 6px solid var(--override-vertical-tab-selected-border-color);\n  background-color: var(--color-background-elevation-1);\n}\n\n.-theme-with-dark-background .tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected,\n:host-context(.-theme-with-dark-background) .tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected {\n  --override-vertical-tab-selected-border-color: rgb(153 153 153);\n}\n/* stylelint-enable no-descending-specificity */\n\n.tabbed-pane-tab-slider {\n  height: 2px;\n  position: absolute;\n  bottom: -1px;\n  background-color: var(--sys-color-primary-bright);\n  left: 0;\n  transform-origin: 0 100%;\n  transition: transform 150ms cubic-bezier(0, 0, 0.2, 1);\n  visibility: hidden;\n}\n\n@media (-webkit-min-device-pixel-ratio: 1.1) {\n  .tabbed-pane-tab-slider {\n    border-top: none;\n  }\n}\n\n.tabbed-pane-tab-slider.enabled {\n  visibility: visible;\n}\n\n.tabbed-pane-header-tab.disabled {\n  opacity: 50%;\n  pointer-events: none;\n}\n\n.tabbed-pane-left-toolbar {\n  margin-right: -4px;\n  flex: none;\n}\n\n.tabbed-pane-right-toolbar {\n  margin-left: -4px;\n  flex: none;\n}\n\n.preview-icon {\n  --override-tabbed-pane-preview-icon-color: var(--icon-default);\n\n  width: 16px;\n  height: 16px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  margin-left: 3px;\n  flex-shrink: 0;\n}\n\n.close-button {\n  --tabbed-pane-close-icon-color: var(--icon-default);\n\n  width: 16px;\n  height: 16px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  border-radius: 50%;\n}\n\n.close-button:hover,\n.close-button:active {\n  background-color: var(--color-details-hairline);\n}\n\n.tabbed-pane-header-tab.preview.closeable .close-button {\n  margin-left: 0;\n}\n\n@media (forced-colors: active) {\n  .tabbed-pane-tab-slider {\n    forced-color-adjust: none;\n    background-color: Highlight;\n  }\n\n  .tabbed-pane-header {\n    forced-color-adjust: none;\n    border-bottom: 1px solid transparent;\n    background-color: ButtonFace;\n  }\n\n  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab {\n    background: ButtonFace;\n    color: ButtonText;\n  }\n\n  .tabbed-pane-header-tabs .tabbed-pane-header-tab:hover,\n  .tabbed-pane-header-tabs .tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible {\n    background-color: Highlight;\n    color: HighlightText;\n  }\n\n  .tabbed-pane-header-tab .tabbed-pane-header-tab-title {\n    color: inherit;\n  }\n\n  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab.selected,\n  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab.selected:focus-visible {\n    background-color: Highlight;\n    color: HighlightText;\n  }\n\n  .tabbed-pane-header-tab:hover .tabbed-pane-close-button,\n  .tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible .tabbed-pane-close-button {\n    --icon-color: HighlightText;\n  }\n\n  .tabbed-pane-header-tabs-drop-down-container {\n    opacity: 100%;\n  }\n\n  .tabbed-pane-header-tabs-drop-down-container:hover,\n  .tabbed-pane-header-tabs-drop-down-container:focus-visible {\n    background-color: Highlight;\n  }\n\n  .tabbed-pane-header-tabs-drop-down-container > .chevron-icon {\n    background-color: ButtonText;\n  }\n\n  .tabbed-pane-header-tabs-drop-down-container:hover > .chevron-icon,\n  .tabbed-pane-header-tabs-drop-down-container:focus-visible > .chevron-icon {\n    background-color: HighlightText;\n  }\n\n  .tabbed-pane-header-tabs .tabbed-pane-header-tab .preview-icon {\n    --override-tabbed-pane-preview-icon-color: ButtonText;\n  }\n\n  .tabbed-pane-header-tab.selected .preview-icon,\n  .tabbed-pane-header-tab:hover .preview-icon {\n    --override-tabbed-pane-preview-icon-color: HighlightText;\n  }\n\n  .close-button {\n    --tabbed-pane-close-icon-color: ButtonText;\n\n    forced-color-adjust: none;\n  }\n\n  .close-button:hover,\n  .close-button:active {\n    --tabbed-pane-close-icon-color: HighlightText;\n\n    background-color: Highlight;\n  }\n\n  .selected .close-button {\n    --tabbed-pane-close-icon-color: HighlightText;\n  }\n}\n'};